@charset "utf-8";
/* CSS Document */
.messenger__left {
    position: relative;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    border-right: 1px solid rgba(0, 0, 0, .15);
    width: 300px;
    height: 100%;
	z-index:99;
}

#messenger_alert {
	
position:absolute; 
z-index:200; 
width:100%; 
height:65px; 
display:none;
	
}
.messenger__header {
    position: relative;
    -webkit-flex: none;
    flex: none;
    border-bottom: 1px solid rgba(0, 0, 0, .15);
    height: 65px;
    padding: 0 10px;
}

.tabs--messenger {
    display: -webkit-flex;
    display: flex;
    height: 64px;
    -webkit-justify-content: space-between;
    justify-content: space-between;
}

.tabs--messenger .tabs__item:not(:last-child) {
    margin-right: 0;
}

.tabs--messenger .tabs__item {
    -webkit-flex: 0 1 auto;
    flex: 0 1 auto;
}

.tabs--messenger .tabs__item {
    display: -webkit-flex;
    display: flex;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-align-items: center;
    align-items: center;
    max-width: 48%;
    padding: 0 5px;
    color: #949494;
    word-wrap: break-word;
}

.tabs__item.active {
    cursor: default;
    color: #FF002B;
}

.tabs__item:not(:last-child) {
    margin-right: 30px;
}


.tabs__item {
    position: relative;
    display: inline-block;
    padding-bottom: 14px;
    cursor: pointer;
    font-weight: 300;
    text-align: center;
    text-decoration: none;
}

.tabs__item.active::after {
    opacity: 1;
    border-color: #FF002B;
}

.tabs__item::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    opacity: 0;
    border-bottom: 3px solid transparent;
    width: 100%;
    transition: opacity .2s;
}


.js-contact-msg{
	
font-size:0.850em;	
	
}

.js-contact-msg-new {
font-weight:bold;
}

.messenger__contacts {
    position: relative;
    -webkit-flex: 1 0 auto;
    flex: 1 0 auto;
}


.messenger__search {
    width: 300px;
    height: 72px;
    padding: 15px 20px;
}

.search-field {
    position: relative;
    margin: 5px 0;
}


.search-field__inner {
    position: relative;
}


.text-field {
    position: relative;
}


.search-field--messenger .text-field__input {
    border-color: transparent;
    border-radius: 8px;
    padding-left: 38px;
    background: #fafafa;
    font-size: 13px;
}

.search-field .text-field__input {
    margin: 0;
    padding-right: 35px;
    text-overflow: ellipsis;
}


.text-field--sm .text-field__input {
    height: 40px;
    padding: 0 15px;
    font-size: 14px;
    line-height: 1.2857;
}


.text-field__input {
    outline: 0;
    border: 1px solid rgba(0, 0, 0, .15);
    border-radius: 3px;
    width: 100%;
    height: 44px;
    padding: 0 20px;
    background: #fff;
    font: 300 16px/1.25 Stolzl, Helvetica, Arial, sans-serif;
    color: #6a6a6a;
    -webkit-font-smoothing: antialiased;
    transition: border-color .2s;
}

.text-field__input:hover, .text-field__input:focus {
    border-color: #FF002B;
}

.search-field--messenger .search-field__icon {
    right: initial;
    left: 16px;
}



.micon {
    display: inline-block;
    width: 16px;
    height: 16px;
    fill: currentColor;
    transition: color .2s, fill .2s, background .2s, box-shadow .2s, opacity .2s;
}


.contacts__item {
  position: relative;
  opacity: 1;
  height: 80px;
  padding: 10px 20px;
  transition: background .15s linear, opacity .15s linear .15s, height .15s linear, padding .15s linear;
  cursor:pointer;

  color:#6a6a6a;
  }

.contacts__item:hover {
  background: #f7f7f7;

  
 
   }


.chatlist__title {
	
padding-left:20px;
font-size:16px;
}
.contacts__item.current {
  background: #f7f7f7; }

.contacts__item.current:hover {
    background: #f7f7f7;
 
  
  
  }

.contacts__item .brick--lg {
  margin: 5px 0;
  width: 50px;
  height: 50px; }

.contacts__item .brick {
  transition: box-shadow .15s linear; }

.contacts__item:hover .brick > .brick {
  box-shadow: 0 0 0 2px #f7f7f7; }

.contacts__item.current .brick > .brick {
  display: none; }

.contacts__item--banner .brick,
.contacts__item--banner.current .brick > .brick {
  display: inline-block;
  box-shadow: 0 0 0 2px #fff; }

.contacts__item--banner.current .brick > .brick {
  overflow: hidden; }






.contacts__txt {
    margin: 0 0 0 14px;
    max-width: 160px;
	
}


.contacts__name {
    overflow: hidden;
    max-width: 140px;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.contacts__msg {
    display: block;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

.lgrey {
    color: #949494;
}

.contacts__info-typing, .writing .contacts__msg {
    display: none;
	color:#090;
	font-size: 11px;
}

.contacts__favorite {
    position: absolute;
    z-index: 2;
    top: 21px;
    right: 16px;
	
}

.inline {
    vertical-align: middle;
    display: inline-block;
}





/* WRAP */
/* обертка для блоков brick + brick-txt */
.brick-wrap {
  position: relative;
  display: inline-block;
  text-align: center; }

.brick-wrap + .brick-wrap {
  vertical-align: top; }

/* BRICK */
/* Порядок модификаторов */
/* group size color outline stroke (nostroke) border position hover disabled */
/* For example: brick brick--xlg brick--red brick--outline brick--stroke brick--hover   */
/* or brick brick--sm brick--lime brick--outline brick--stroke brick--bc */
/* or brick brick--group */
.brick {
  position: relative;
  vertical-align: middle;
  display: inline-block;
  margin: 5px 0;
  border-radius: 100%;
  width: 44px;
  height: 44px;
  background-clip: padding-box;
  text-align: center;
  transition: background .2s;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none; }

.brick:before,
.brick:after {
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  border-radius: inherit;
  transition: background .2s; }

/* SIZE */
.brick--xsm {
  border-radius: 11px;
  width: auto;
  min-width: 22px;
  height: 22px;
  padding: 5px 4px 4px;
  font-weight: 400;
  font-size: .7857em;
  line-height: 1.2;
  color: #fff; }

.firefox:not(.mac) .brick--xsm {
  line-height: 1.15; }



.brick > .icon,
.brick > img,
.brick > .scale {
  position: absolute;
  top: -50px;
  right: -50px;
  bottom: -50px;
  left: -50px;
  margin: auto; }

.brick > img {
  max-width: 100%;
  max-height: 100%; }

.brick--hover > .icon {
  z-index: 1; }

.brick-wrap:active .brick--hover > .icon {
  -webkit-transform: scale(0.8, 0.8);
          transform: scale(0.8, 0.8); }

/* icon to make stroke with tail around brick */
.brick--xsm > .icon--bubble-stroke {
  width: calc(100% + 4px);
  max-width: 26px;
  height: calc(100% + 4px);
  max-height: 26px; }

.brick--sm > .icon--bubble-stroke {
  width: calc(100% + 6px);
  height: calc(100% + 6px); }

/* loading */
.loading .brick > .icon {
  opacity: 0; }

/* online status */
.brick > .online-status {
  position: absolute;
  right: -1px;
  bottom: 2px;
  border: 2px solid #fff; }
  
  
  
/* INNER IMAGES */
/* brick-img растягивает картинку на 100% и обрезает ее по кругу. brick-img можно вешать непосредственно на картинку,
в этом случае вокруг неё не будет легкой тени */
.brick-img {
  position: absolute;
  top: 0;
  left: 0; }

.brick .brick-img {
  right: 0;
  bottom: 0;
  pointer-events: none; }

.brick-img,
.brick-img > img {
  overflow: hidden;
  border-radius: inherit;
  width: 100%;
  height: 100%; }

.brick-img::before {
  content: '';
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  box-shadow: 0 0 0 1px rgba(0, 0, 0, .05) inset;
  border-radius: inherit; }

.brick--gift > .brick-img {
  margin: auto;
  width: 80%;
  height: 80%; }


.brick > .brick {
    position: absolute;
    z-index: 1;
    right: 0;
    bottom: 0;
    margin: auto;
}


/* COLOR */
.brick--white,
.brick--stroke {
  background: #fff; }

.brick--primary {
  background: #FF002B; }

.brick--red {
  background: #FF002B; }

.brick--like {
  background: #ff661b; }



.centerBlock {
    min-height: 100%;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    display: table;
    height: 100%;
    width: 100%;
    text-align: center;
    table-layout: fixed;
	color:#CCCCCC;
}

.centerBlock__item {
    display: table-cell;
    text-align: center;
    vertical-align: middle;
    width: 100%;
}

.mlr--default {
    margin-left: 20px;
    margin-right: 20px;
}


.tw3-avatarContainersHolder {
    margin-bottom: 20px;
    zoom: 1;
    width: 40%;
    margin: 0 auto;
    position: relative;
}

.messenger__right {
    position: absolute;
    top: 0;
    right: 0;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    overflow: hidden;
    width: 580px;
    height: 100%;
}



.messenger__right-inner {
    position: absolute;
    top: 0;
    right: 0;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    overflow: hidden;
    width: 560px;
    height: 100%;
}


.messenger__header {
    position: relative;
    -webkit-flex: none;
    flex: none;
    border-bottom: 1px solid rgba(0, 0, 0, .15);
    height: 65px;
    padding: 0 10px;
}


.connection-header {
    position: relative;
    display: -webkit-flex;
    display: flex;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-align-items: center;
    align-items: center;
    width: 100%;
    height: 100%;
}


.connection-header__info {
    text-align: center;
}

.connection-header__user {
    display: -webkit-flex;
    display: flex;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-align-items: center;
    align-items: center;
    font-size: 1.286em;
    line-height: 1.2;
    color: #949494;
    white-space: nowrap;
}

.connection-header__status {
    color: #949494;
    overflow: hidden;
    max-width: 250px;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.connection-header__nav {
    right: 0;
}


.connection-header__nav, .connection-header__icons {
    position: absolute;
    top: 0;
    bottom: 0;
    display: -webkit-flex;
    display: flex;
    -webkit-align-items: center;
    align-items: center;
    margin: auto 0;
}

.connection-header__icons {
  left: 0; }

.connection-header__icons .icon {
  position: relative;
  margin: 0 5px 0 0; }

.verify-icon {
    position: relative;
    display: inline-block;
	margin-right:10px;
}

.verify-icon__text {
    font-size: .7171em;
    line-height: 1.1234em;
    color: #00cc00;
}


.inline {
    vertical-align: middle;
    display: inline-block;
}


.messenger__content {
    position: relative;
    display: -webkit-flex;
    display: flex;
    -webkit-flex-direction: column;
    flex-direction: column;
    -webkit-flex: 1 1 auto;
    flex: 1 1 auto;
    overflow: hidden;
    transition: -webkit-flex .2s;
    transition: flex .2s;
    transition: flex .2s, -webkit-flex .2s;
}

.messenger__content-inner {
    position: relative;
    height: inherit;
}


.messenger__content-inner {
    width: 580px;
}


.messenger__content-inner {
    position: relative;
    -webkit-flex: 1;
    flex: 1;
    background: #fff;
}

.messenger__content-inner, #messages, #messages_read_status {
    height: 100%;
}

.messages {
  position: relative;
  padding: 5px 25px 0 20px;
  
  }

.messages__date {
  position: relative;
  display: block;
  margin: 10px 0;
  font-weight: 300;
  font-size: .786em;
  text-align: center;
  color: #949494; }

.messages--with-loader {
  padding-top: 30px; }

.messages--with-loader .messages__loader {
  position: absolute;
  top: 0;
  right: 0;
  left: 34px;
  height: 30px; }

/* Hint */
.messages__hint {
  color: #6a6a6a;
  font-size: .714em;
  line-height: 1.2;
  display: none;
  padding: 5px 20px; }

.is-writing .messages__hint {
  display: block; }

@-webkit-keyframes message-show {
  0% {
    top: -20px;
    opacity: 0; }
  100% {
    top: 0;
    opacity: 1; } }

@keyframes message-show {
  0% {
    top: -20px;
    opacity: 0; }
  100% {
    top: 0;
    opacity: 1; } }

.message {
  position: relative;
  display: -webkit-flex;
  display: flex;
  -webkit-flex-direction: column;
          flex-direction: column;
  padding: 5px 0; 
  width:100%;
  
  }

.message > .brick--xsm {
  float: left;
  margin: 0;
  border-radius: 12px;
  width: 24px;
  height: 24px; }

.message__container {
  position: relative;
  width: 100%;
  padding: 10px 0;
  text-align: center; }

.message__bubble {
  position: relative;
  display: inline-block;
  margin: 0;
  border-radius: 5px;
  max-width: 290px;
  padding: 10px 20px;
  word-wrap: break-word; }

.message__bubble::before,
.message__bubble::after {
  content: '';
  position: absolute;
  bottom: 0;
  display: none;
  width: 35px; }

.message__bubble::after {
  bottom: -6px;
  height: 27px;
  background: #fff; }

.message__bubble > .emoji {
  margin: -1px 1px -4px; }

.message__bubble .link,
.message__bubble .link:hover {
  color: #fff; }

.message__bubble-border {
  display: -webkit-inline-flex;
  display: inline-flex;
  -webkit-flex-direction: column;
          flex-direction: column;
  max-width: 280px;
  background: #fff; }

.message__bubble-border .message__text {
  color: #6a6a6a; }

.message__bubble-footer {
  position: relative;
  z-index: 1;
  border: 1px solid #949494;
  border-top: 0;
  border-bottom-right-radius: 18px;
  border-bottom-left-radius: 18px;
  max-width: 280px;
  padding: 13px 25px;
  background: #fff;
  color: #949494; }

.message__bubble-footer::before {
  content: '';
  position: absolute;
  z-index: 1;
  top: -2px;
  left: 0;
  border-bottom-right-radius: 18px;
  border-bottom-left-radius: 12px;
  width: 100%;
  height: 100%;
  background: #fff; }

.message__time {
  font-weight: 300;
  transition: opacity .15s; 
  margin-top: 2px;
  }

.message__tail {
  position: absolute;
  bottom: -6px;
  left: -5px;
  -webkit-transform: rotate(3deg);
          transform: rotate(3deg); }

.message__action {
  position: absolute;
  z-index: 1;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: none;
  line-height: 180px;
  text-align: center; }

.message__background {
  position: relative;
  z-index: 2;
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: center;
          justify-content: center;
  -webkit-align-items: center;
          align-items: center;
  border-top-left-radius: 17px;
  border-top-right-radius: 17px;
  width: 280px;
  height: 280px; }

.message__background--private-photo {
  background: url(https://www.kwibase.com/v2/-/-/js/hon_v3/assets/images/hotornot_v2/connections/msg-private-photo.4f43fb3c969e21f515f9.png) no-repeat 0 0;
  background-size: cover; }

.message__background--mobile {
  border-radius: 18px;
  background: url(https://www.kwibase.com/v2/-/-/js/hon_v3/assets/images/hotornot_v2/connections/msg-apps-stub-new.a3f92c3dd87e3a7e4dfd.png) no-repeat 0 0;
  background-size: cover; }

.message__mobile-content {
  max-width: 220px;
  text-align: center;
  color: #fff; }

.message__mobile-text {
  font-size: 16px;
  line-height: 1.375; }

.message__mobile-stores {
  margin: 25px 0 0; }

.message__mobile-store {
  position: relative; }

.message__mobile-store + .message__mobile-store {
  margin: 0 0 0 20px; }

.message__gift {
  position: relative;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
          align-items: center; }

.message__gift-img {
  -webkit-flex: 0 0 auto;
          flex: 0 0 auto; }

.message__gift-img > .gift {
  margin: 0;
  vertical-align: top; }

.message__gift-tag {
  position: relative;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
          align-items: center;
  box-shadow: 0 2px 2px rgba(52, 57, 68, .06);
  border: 1px solid rgba(0, 0, 0, .15);
  border-radius: 0 4px 4px 0;
  max-width: 250px;
  height: 52px;
  padding: 0 10px; }

.message__gift-tag::before {
  content: '';
  position: absolute;
  width: 14px;
  height: 54px;
  background: #fff url(https://www.kwibase.com/v2/-/-/js/hon_v3/assets/images/hotornot_v2/connections/message-gift-decor.e4d62e23f6191245a031.png);
   }

.message__gift-txt {
  position: relative;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis; }

.message__gift-txt > p {
  margin: 5px 0; }

.message__gift-txt > p:empty {
  display: none; }

.message__gift-txt > p:not(:empty) + .btn {
  margin-top: 10px; }

.message__gift-note {
  margin: 5px 0 0 93px;
  color: #949494; }

.message__img-container {
  position: relative;
  margin: 4px 0; }

.message__img-container:hover .message__img-report {
  display: block; }

.message__img-container--delete:hover .message__img-report {
  display: none; }

.message__img-container--delete .message__action {
  display: none; }

.message__img-container--delete .message__action {
  display: block; }

.message__img {
  border-radius: 7px;
  width: 180px;
  height: auto; }

.message__img-mask {
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: flex-start;
          justify-content: flex-start;
  width: 180px;
  height: 180px;
  -webkit-transform: translate3d(0, 0, 0);
          transform: translate3d(0, 0, 0); }

.message__img-report {
  position: absolute;
  z-index: 2;
  right: 15px;
  bottom: 10px;
  display: none; }

.message__error {
  position: relative;
  display: none;
  margin: 5px 0 0; }

.message__error > .icon {
  position: absolute;
  right: -15px;
  bottom: 17px; }

.message__error > .icon:hover {
  fill: #fff;
  background: #f02139; }

.message__error-txt {
  position: relative;
  font-size: 10px; }

.message__request-status {
  display: -webkit-flex;
  display: flex;
  -webkit-justify-content: center;
          justify-content: center;
  -webkit-align-items: center;
          align-items: center;
  margin: 0 0 5px; }

.message__request-status > .icon {
  margin: 0 5px 0 0; }

.message__status {
  display: none;
  -webkit-justify-content: flex-end;
          justify-content: flex-end;
  margin: 5px 0 0;
  font-size: .714em;
  line-height: 1.2;
  color: #6a6a6a; }

.message__read {
  display: none; }

.message__text {
  position: relative;
  z-index: 2;
  max-width: 423px;
  display: -webkit-flex;
  display: flex;
  color: #6a6a6a; }

.message__text .icon {
  margin: 1px 5px 0 0; }

.message__map {
  position: relative;
  width: 100%;
  text-align: center; }

.message__map.active .message__map-get {
  display: inline; }

.message__map.active .message__map-check {
  display: none; }

.message__map-attach {
  position: relative;
  display: block;
  margin: 5px 0; }

.message__map-get {
  display: none; }

.message__map-img {
  width: 100%; }

.message__sticker {
  vertical-align: top;
  margin: 10px 0 0; }

.message--animation {
  -webkit-animation: message-show .5s;
          animation: message-show .5s; }

.message--system + .message--system {
  margin: -30px 0 0; }

.message--in {
  -webkit-align-items: flex-start;
          align-items: flex-start; }

.message--in .message__bubble {
  background-color: #f7f7f7;
  color: #6a6a6a; }

.message--in .message__bubble::before {
  left: -20px;
  background: inherit;
  height: 20px;
  border-radius: 0 0 50% 0; }

.message--in .message__bubble::after {
  left: -35px;
  border-radius: 0 0 50% 0; }

.message--in .message__bubble .link {
  border-bottom-color: rgba(106, 106, 106, 0.5);
  color: inherit; }

.message--in .message__bubble .link:hover {
  border-bottom-color: currentColor; }

.message--in .message__img-mask {
  -webkit-justify-content: flex-end;
          justify-content: flex-end; }

.message--in.message--last .message__img-mask {
  
  -webkit-clip-path: url(https://www.kwibase.com/messenger/css/messenger.css?v=52#multimedia-bubble-tail-left);
          clip-path: url(https://www.kwibase.com/messenger/css/messenger.css?v=52#multimedia-bubble-tail-left);
  
   }

.message--in .message__gift-tag {
  margin: 0 0 0 20px;
  border-left: 0; }

.message--in .message__gift-tag::before {
  top: -1px;
  left: -13px; }

.message--out {
  -webkit-align-items: flex-end;
  align-items: flex-end;
  
  }

.message--out .message__bubble {
  background-color: #3f4257;
  color: #fff; 
  text-align:right;
  }

.message--out .message__bubble::before {
  border-radius: 0 0 0 50%;
  height: 20px;
  right: -20px;
  background: inherit; }

.message--out .message__bubble::after {
  border-radius: 0 0 0 50%;
  right: -35px; }

.message--out .message__bubble .link {
  border-bottom-color: rgba(255, 255, 255, 0.5);
  color: inherit; }

.message--out .message__bubble .link:hover {
  border-bottom-color: currentColor; }

.message--out .message__gift {
  -webkit-justify-content: flex-end;
          justify-content: flex-end;
  -webkit-flex-direction: row-reverse;
          flex-direction: row-reverse; }

.message--out .message__gift-tag {
  -webkit-justify-content: flex-end;
          justify-content: flex-end;
  margin: 0 20px 0 0;
  border-right: 0; }

.message--out .message__gift-tag::before {
  top: -3px;
  right: -12px;
  -webkit-transform: rotate(-180deg);
          transform: rotate(-180deg);
   }

.message--out.message--last .message__img-mask {
  /* @ltr begin */
  -webkit-clip-path: url(https://www.kwibase.com/messenger/css/messenger.css?v=52#multimedia-bubble-tail-right);
          clip-path: url(https://www.kwibase.com/messenger/css/messenger.css?v=52#multimedia-bubble-tail-right);
  /* @ltr end */
   }

.b-link {
    position: absolute;
    z-index: 1;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(255, 255, 255, 0);
    cursor: pointer;
}

.message--out.message--last:last-child .message__status {
  display: -webkit-flex;
  display: flex; }

.message--out.error.message--last:last-child .message__status {
  display: none; }

.message:not(.message--last) .message__img {
  width: 175px; }

.message--last .message__bubble::before {
  display: block; }

.message--last .message__bubble::after {
  display: block; }

.message--last .message__time {
  display: block; }

.message--last .message__delivered {
  display: block; }

.read .message--last .message__read {
  display: block; }

.message--last .message__img {
  border-radius: 7px; }

.message--last .message__status {
  display: none; }

.message--last.error .message__status {
  display: none; }

.pending .message__txt {
  color: #bfbfbf; }

.pending .message__sticker {
  opacity: .5; }

.pending .message__img {
  opacity: .5; }

.pending .message__img-report {
  display: none; }

.pending .message__img .b-link {
  display: none; }

.read .message--last .message__delivered {
  display: none; }

.error .message__bubble {
  margin: 0 25px 0 0;
  background: #6197ff; }

.error .message__bubble::before {
  background: #6197ff; }

.error .message__error {
  display: block;
  color: #ff4000; }

.error .message__txt {
  color: #bfbfbf; }

.error .message__time {
  opacity: 0; }

.error .message__sticker {
  opacity: .5; }

.error .message__img {
  margin: 0 20px 0 0;
  opacity: .5; }

.error .message__img .b-link {
  display: none; }

.error .message__img-report {
  display: none; }

.ie11 .message__img {
  border-radius: 20px; }




.messenger-tools {
  position: relative;
  left: 2px;
  -webkit-flex: none;
          flex: none;
  width: 100%;
  min-height: 64px; }

.messenger-tools__form {
  position: relative;
  z-index: 1;
  display: -webkit-flex;
  display: flex;
  border-top: 1px solid rgba(0, 0, 0, .15);

  padding: 0 30px;
  background: #fff; 
  z-index: 102;
  }

.messenger-tools__field,
.messenger-tools__controls {
  position: relative;
  display: -webkit-flex;
  display: flex;
  -webkit-align-items: center;
          align-items: center;
  min-height: 64px; }

.messenger-tools__field {
  position: relative;
  -webkit-flex: 0 1 360px;
          flex: 0 1 360px;
  min-width: 0;
  padding: 15px 0; }

.messenger-tools__controls {
  -webkit-flex: none;
          flex: none;
  margin: 0 0 0 auto; }

.ie11 .messenger-tools__controls {
  height: 64px; }

.messenger-tools__textarea {
  overflow: hidden;
  width: 100%;
  max-height: 110px; }

.messenger-tools__input {
  position: relative;
  overflow: hidden;
  width: 100%;
  min-height: 18px;
  padding-right: 15px;
  font-weight: 300;
  font-size: 1em;
  line-height: 1.3333;
  white-space: pre-wrap;
  border:none;
  word-wrap: break-word;
  -webkit-font-smoothing: antialiased; }

.messenger-tools__input > .emoji {
  margin: -1px 1px -4px; }

.messenger-tools__input:empty:before {
  content: attr(data-placeholder);
  position: absolute;
  top: 0;
  left: 0;
  display: block;
  margin-right: -4px;
  cursor: text;
  font-weight: 300;
  font-size: 1em;
  line-height: 1.3333;
  color: #bfbfbf;
  -webkit-font-smoothing: antialiased; }

.messenger-tools__input:empty:after {
  content: ''; }

.messenger-tools__icons {
  display: -webkit-flex;
  display: flex; }

.messenger-tools__wrap {
  overflow: hidden;
  padding: 0 20px 0 15px; }

.messenger-tools__icon {
  position: relative;
  cursor: pointer;
  color: #949494; }

.messenger-tools__icon:hover {
  color: #7000e3; }

.messenger-tools__icon + .messenger-tools__icon {
  margin: 0 0 0 12px; }

.messenger-tools__icon.active {
  color: #7000e3; }

.messenger-tools__mark {
  position: absolute;
  top: -2px;
  right: -2px;
  border: 2px solid #fff;
  border-radius: 100%;
  width: 10px;
  height: 10px;
  background: #f02139;
  pointer-events: none; }

.modal-messenger {
width:880px;
max-width:880px;
padding:10px;		
}
.messenger-tools__disabled {
  position: relative;
  display: none;
  border-top: 1px solid rgba(0, 0, 0, .15);
  padding: 20px 30px;
  background: #fff;
  color: #b0b6bf; 
  z-index: 102;
  }

.st_msgs_disable--with-gifts .messenger-tools__disabled {
  height: 220px; }

.messenger-tools .textarea .scroll-visible .message-tools__input {
  padding: 0 15px 0 0; }

.messenger-tools .textarea .scrollbar-track {
  right: 0; }

.messenger-tools__btn {
  position: relative;
  margin: 0 0 0 10px;
  border: none;
  padding: 0;
  background: none;
  cursor: pointer;
  font-weight: 300;
  font-size: 1em;
  color: #7000e3; }

/* Message attach */
.messenger-tools__attach {
  position: absolute;
  z-index: 101;
  bottom: 64px;
  overflow: hidden;
  border-top: 1px solid rgba(0, 0, 0, .15);
  width: 100%;
  max-height: 300px;
  min-height: 190px;
  background: #fff;
  -webkit-transform: translateY(100%);
          transform: translateY(100%);
  transition: -webkit-transform .3s linear;
  transition: transform .3s linear;
  transition: transform .3s linear, -webkit-transform .3s linear; }

.messenger-tools__attach .scrollbar-track {
  right: 10px; }

.messenger-tools__attach--loading {
  padding: 20px 0; }

.messenger-tools__attach--stickers {
	height:555px;
  max-height: 555px !important;
  text-align:right;
  background-color:transparent !important;
  border-top:0 !important;
  
   }
.EmojiPanel {
	
color:#777;	
	
}   
  
.EmojiPanel__header, .EmojiPanel__footer {

	background: #e8e8e8 !important;
} 

.loading.messenger-tools__attach--loading,
.stickers-show .messenger-tools__attach--stickers,
.photos-show .messenger-tools__attach--photo,
.gifts-show .messenger-tools__attach--gifts {
  -webkit-transform: translateY(0);
          transform: translateY(0); }

.stickers-show.message-attach-animation-end .messenger-tools__attach--stickers,
.photos-show.message-attach-animation-end .messenger-tools__attach--photo,
.gifts-show.message-attach-animation-end .messenger-tools__attach--gifts {
  position: relative;
  bottom: 0; }

.messenger-tools__attach--photo .photo-list__photo-bar {
  background: #2d3238; }

.messenger-close {
position:absolute; 
right:0px; 
top:0px; 
z-index:100; 
line-height: 23px; 
width:24px; 
height:24px; 
background-color:#fff; 
text-align:center; 
color:#777; 
border-radius:50%;	
}

:focus {
  outline: 0; }


.tw3-avatar--circle {
    border-radius: 215px;
}

.tw3-avatar {
    display: block;
    background-size: cover;
    background-position: center top;
    background-repeat: no-repeat;
    background-color: #fff;
}


.message__img-mask {
    display: -webkit-flex;
    display: flex;
    -webkit-justify-content: flex-start;
    justify-content: flex-start;
    width: 180px;
    height: auto;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}


.loader {
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    opacity: 0;
    visibility: hidden;
    margin: auto;
    width: 30px;
    height: 6px;
    font-size: 0;
    line-height: 0;
    transition: opacity .2s, visibility .2s;
}

.loader--grey::before, .loader--grey::after, .loader--grey > .loader_ {
    background: #949494;
}

.loader::before, .loader::after {
    content: '';
}

.loader::before, .loader::after, .loader_ {
    vertical-align: middle;
    display: inline-block;
    border-radius: 100%;
    width: 6px;
    height: 6px;
    background: #6a6a6a;
}

.loader--grey::before, .loader--grey::after, .loader--grey > .loader_ {
    background: #949494;
}



.messenger-gallery__action-bar {
    position: absolute;
    z-index: 3;
    top: 5px;
    left: 2px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 128px;
    height: 128px;
    background: #FF002B;
}

.messenger-gallery__action-title {
    position: relative;
    display: block;
    color: rgb(255, 255, 255);
    padding: 10px 5px 0px;
}

.messenger-gallery__slide {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    width: 522px;
    min-height: 128px;
    margin: 5px 0px;
    padding: 0px 0px 0px 2px;
    background: url(https://www.kwibase.com/img/gallery-icon.svg);
}

.messenger-gallery__item:first-child {
    margin: 0px 2px 0px 130px;
}

.messenger-gallery__item + .messenger-gallery__item {
    margin: 0px 2px 2px 0px;
}

.messenger-gallery__item {
    position: relative;
    vertical-align: top;
    display: inline-block;
    width: 128px;
    height: 128px;
    cursor: pointer;
    overflow: hidden;
}


.messenger-gallery__action {
    position: absolute;
    top: 0px;
    display: none;
    justify-content: center;
    align-items: flex-start;
    width: 100%;
    height: 100%;
}

.classic-upload-btn input {
    position: absolute;
    top: 0px;
    left: -300px;
    opacity: 0;
}

.messenger-gallery__item:hover > .messenger-gallery__action {
  display: -webkit-flex;
  display: flex; }

.messenger-gallery--upload .messenger-gallery__action-bar--application {
  width: 300px; }


.messenger-blocker__profile {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 480px;
    flex: 1 0 auto;
    margin: 0px auto;
    padding: 30px 0px;
}

.messenger-blocker__title {
    width: 440px;
    font-weight: 300;
    font-size: 1.429em;
    line-height: 1.2;
    margin: 0px auto 30px;
	    text-align: center;
}

.messenger-blocker__promo {
    position: relative;
    width: 300px;
    height: 300px;
    margin: 20px auto 35px;
}

.messenger-blocker__photo-box {
    position: absolute;
    top: -100px;
    right: -100px;
    bottom: -100px;
    left: -100px;
    width: 300px;
    height: 300px;

    overflow: hidden;
    margin: auto;
    border-radius: 100%;
}
.messenger-blocker__photo {
    position: absolute;
    top: -100px;
    right: -100px;
    bottom: -100px;
    left: -100px;
    min-width: 300px;
    min-height: 300px;
    margin: auto;
}

.match-badge.animation-play {
    animation: first-contact-scale 0.2s cubic-bezier(0.175, 0.885, 0.32, 1.275) 0.2s forwards;
}

.match-badge--blue {
    background-color: #3f4257;
}

.match-badge {
    position: absolute;
    top: 200px;
    right: -44px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 130px;
    height: 130px;
    background-clip: padding-box;
    border-radius: 100%;
    padding: 0px 20px;
	text-align:center;
}
.match-badge__num {
    position: relative;
    display: block;
    min-width: 40px;
    font-size: 2.286em;
    line-height: 1;
    color: rgb(255, 255, 255);
    margin: 0px 0px 2px;
	    
}
.match-badge__txt {
    display: block;
    font-size: 1.143em;
    line-height: 1.125;
    color: rgb(255, 255, 255);
}

.messenger-blocker__text:last-child {
    margin-bottom: 0px;
}

.messenger-blocker__text {
    margin-right: auto;
    margin-left: auto;
    width: 380px;
    font-weight: 300;
    font-size: 18px;
    line-height: 1.36;
	text-align: center;
}

.EmojiPanel {
margin-left:auto; 
margin-right:30px;	
	
}

.attatchIcon {
margin-right:10px; 
color:#949494; 
cursor:pointer;	
	
}

.attatchIcon:active {
color: #FF002B !important;	
}

.EmojiPanel__results {
box-shadow: 3px 3px 10px grey;
border: #a7a9b5 1px solid;	
}

.EmojiPanel__footer {
	
border-top:0;	
box-shadow: 3px 3px 10px grey;
}

.EmojiPanel__header {
	
border-bottom:0;	
box-shadow: 3px 3px 10px grey;
}


.mloader {
	position:absolute;
	display:none;
    left: 50%;
	top:50%;
    margin-left: -4em;
	color: #949494;
	z-index:102;

}

.modal-backdrop
{
    
	transition: opacity .4s ease-out, visibility .4s ease-in-out;
	
}


.ep-container {
    height: 100%;
    border-top: #b8b8b8 1px solid;
}

.joypixels {
width:24px;
margin:2px;	
}